Bug 106067 - Loads 2 ethernet cards on eth0
Summary: Loads 2 ethernet cards on eth0
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-02 13:50 UTC by Denis
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 10:32:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denis 2003-10-02 13:50:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
I have 2 network cards in my computer, which are correctly displayed in the
Hardware Browser as follow:

RTL-8139/8139C/8139C+
VT6105 [Rhine-III]

In the Network Configuration Program, under the Hardware tab, I see

Description                 Type       Device   Status
VT6105 (Rhine-III)          Ethernet   eth0     ok
RTL-8139/8139C/8139C+       Ethernet   eth0     ok
VIA VT86c100A Rhine-II PCI  Ethernet   eth1     configured

When I delete the VIA VT86 line and I change the VT6105 from eth0 to eth1, I
save, I reboot the computer.
The configuration is back to the one hereabove. None of my changes has beens saved!
Devices working with eth0 do not work.
Assigning different IRQ to the VT6105 and to the RTL doesn't help.


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.15-1

How reproducible:
Always

Steps to Reproduce:
1. Install the 2 network cards above
2. Start redhat 9, start Network Configuration
3. Look in Hardware tab
    

Actual Results:  2 cards are assigned eth0

Expected Results:  The second card should have eth1 instead of eth0

Additional info:

Comment 1 Harald Hoyer 2003-10-02 14:16:02 UTC
please attach /etc/modules.conf

Comment 2 Denis 2003-10-02 17:24:13 UTC
/etc/modules.conf

alias eth0 8139too
alias usb-controller ehci-hcd
alias usb-controller1 usb-uhci
alias sound-slot-0 i810_audio
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
alias char-major-195 nvidia
alias eth1 via-rhine

Comment 3 Harald Hoyer 2003-10-06 06:52:22 UTC
strange... did you bind the devices to the ethernet address (MAC)??
please attach the output of:
# redhat-config-network-cmd

Comment 4 Harald Hoyer 2004-06-04 10:12:06 UTC
ping?

Comment 5 Denis 2004-06-04 10:18:00 UTC
Sorry I have sold the second card back. I cannot give you any more
information.


Note You need to log in before you can comment on or make changes to this bug.